<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Friend List</title>
    <style>
      .styled-table {
            border-collapse: collapse;
            margin: 25px 0;
            font-size: 0.9em;
            font-family: sans-serif;
            min-width: 400px;
            box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
        }
        .styled-table thead tr {
            background-color: #0da2FF;
            color: #ffffff;
            text-align: center;
        }
        .styled-table th,
        .styled-table td {
            padding: 12px 15px;
        }
        .styled-table tbody tr {
            border-bottom: thin solid #dddddd;
        }

        .styled-table tbody tr:nth-of-type(even) {
            background-color: #f3f3f3;
        }

        .styled-table tbody tr:last-of-type {
            border-bottom: 2px solid #0da2FF;
        }
        .center {
          display: block;
          margin-left: auto;
          margin-right: auto;
          width: 40%;
        }
    </style>
  </head>
  <body>
    <div class="center">
      <table class="styled-table">
        <thead>
          <tr>
            <th>Name</th>
            <th>NPM</th>
            <th>DOB</th>
          </tr>
        </thead>
        {% for friend in friends %}
        <tr>
          <td> {{ friend.name }} </td>
          <td> {{ friend.npm }} </td>
          <td> {{ friend.DOB }} </td>
        </tr>
        {% endfor %}
      </table>
    </div>
  </body>
</html>
